Skip to main content

eftpos Refunds


Overview

Use this information to process a refund. This transaction is also called a follow-on refund or linked refund. To link a refund to a specific sale transaction, include the original transaction ID in the request. A refund with online PIN is not supported currently.

For an overview of supported eftpos transaction types and integrations, EMV tag requirements, and the pilot-release notice for this service, see eftpos Sale.

Supported Processor

Supported processor: eftpos

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

The {id} is the transaction ID returned in the capture or sale response.

Example

{  "clientReferenceInformation": {    "code": "RTSFOCredit",    "comments": "eftpos refund",    "transactionId": "uniqueValue11",    "partner": {      "thirdPartyCertificationNumber": "testTPCN",      "developerId": "eftpos12",      "solutionId": "eftpos123"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "AUD"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/refunds/7580524608596456303813/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/refunds/7580524608596456303813"    }  },  "clientReferenceInformation": {    "code": "RTSFOCredit",    "comments": "eftpos refund",    "partner": {      "developerId": "eftpos12",      "solutionId": "eftpos123"    },    "transactionId": "uniqueValue11"  },  "id": "7580524608596456303813",  "orderInformation": {    "amountDetails": {      "currency": "AUD"    }  },  "processorInformation": {    "systemTraceAuditNumber": "522395",    "retrievalReferenceNumber": "522395542119",    "settlementDate": "0917",    "responseCode": "00"  },  "reconciliationId": "7580524608596456303813",  "refundAmountDetails": {    "currency": "AUD",    "refundAmount": "100.00"  },  "status": "PENDING",  "submitTimeUtc": "2025-09-16T19:54:21Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.commentsSet the value to eftpos refund.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: September 29, 2026